/*============================================================================*\
|                                                                              |
|       =S= Device Profile for Web Services C Toolkit (DPWS toolkit)           |
|                                                                              |
|           ->>  Copyright 2004-2007 Schneider Electric SA <<-                 |
|                                                                              |
|                                                                              |
|                                + File info:                                  |
|                                              $Revision: 1.22.2.3 $
|                                              $Date: 2007/03/23 16:41:34 $
\*============================================================================*/
 
/*******************************************************************************
*                            WS-METADATA STUB & SKELETON                       *
*******************************************************************************/
#ifndef METADATA_H
# define METADATA_H

# include "tools.h"
# include "cache.h"

#ifdef SOAP_FMAC3
# undef SOAP_FMAC3
#endif
#define SOAP_FMAC3 static
# include "gen/metadataStub.h"

int get_endpoint_metadata(struct dpws* dpws, short href, struct device_proxy * device, BOOLEAN update,
						struct model_info *model, struct device_info *dev_info, dyn_array* host, 
						dyn_array* services, dyn_array* wsdlList);
#endif
